Last Comment Bug 894081 - Register Gaia's mozbrowsererror on the relevant iframe itself, to (try to) fix a leak
: Register Gaia's mozbrowsererror on the relevant iframe itself, to (try to) fi...
Status: RESOLVED FIXED
[MemShrink] [LeoVB+] QARegressExclude
:
Product: Firefox OS
Classification: Client Software
Component: Gaia::System (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Justin Lebar (not reading bugmail)
:
Mentors:
Depends on:
Blocks: 893012 894230
  Show dependency treegraph
 
Reported: 2013-07-15 15:09 PDT by Justin Lebar (not reading bugmail)
Modified: 2013-07-29 17:07 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
leo+
fixed
fixed


Attachments
Pointer to Github pull request: https://github.com/mozilla-b2g/gaia/pull/10991 (358 bytes, text/html)
2013-07-15 15:35 PDT, Justin Lebar (not reading bugmail)
alegnadise+moz: review+
Details

Description Justin Lebar (not reading bugmail) 2013-07-15 15:09:40 PDT
See discussion in bug 893012 comment 22 and nearby.

Filing this in a separate bug because the defect identified in bug 893012 may involve many small fixes all around gecko and gaia.
Comment 1 Justin Lebar (not reading bugmail) 2013-07-15 15:35:11 PDT
Created attachment 775992 [details]
Pointer to Github pull request: https://github.com/mozilla-b2g/gaia/pull/10991

Pointer to Github pull-request
Comment 2 Justin Lebar (not reading bugmail) 2013-07-15 17:30:16 PDT
This PR also includes bug 894135, another leak-fix.  I confirmed that we do in fact need both changes.
Comment 3 (inactive after 6/18) Alive Kuo [:alive] 2013-07-15 20:03:12 PDT
Comment on attachment 775992 [details]
Pointer to Github pull request: https://github.com/mozilla-b2g/gaia/pull/10991

r+, thanks
Comment 4 (inactive after 6/18) Alive Kuo [:alive] 2013-07-15 20:04:36 PDT
merged
https://github.com/mozilla-b2g/gaia/commit/d85dbb240e000903c9cb0a7a1f8aff45b3592e28
Comment 5 (inactive after 6/18) Alive Kuo [:alive] 2013-07-15 22:48:55 PDT
There's a regression in fix of 894135. Warm boot timing measurement is failing.
Root cause: When event type is 'appopen' to be watched, the event target is frame instead of iframe.

I am going to fix this in another bug.
Comment 6 John Ford [:jhford] CET/CEST Berlin Time 2013-07-17 13:00:07 PDT
Uplifted d85dbb240e000903c9cb0a7a1f8aff45b3592e28 to:
v1-train: 3724c21c68f88169a443e2a5636b65b4a4a58f59
Comment 7 (inactive after 6/18) Alive Kuo [:alive] 2013-07-17 20:00:00 PDT
I think we have to uplift https://bugzilla.mozilla.org/show_bug.cgi?id=894230 as well.
Comment 8 John Ford [:jhford] CET/CEST Berlin Time 2013-07-23 13:32:19 PDT
v1.1.0hd: 3724c21c68f88169a443e2a5636b65b4a4a58f59

Note You need to log in before you can comment on or make changes to this bug.